[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoOnResize

Signals OnResize event handlers for the control.

## Declaration

Source position: controls.pp line 1380

`protected procedure TControl.DoOnResize; virtual;`

## Description

Signals the OnResize event handler (when assigned) using the control instance as the Sender for the event notification. Calls DoCallNotifyHandler to signal any handler routines using the chtOnResize handler type.

## See also

TControl.OnResize |  | Notification handler for a resize of the control.
TControl.DoCallNotifyHandler |  | Signals handler routines for the specified control handler type.
TControlHandlerType |  | Notification handler types.